# PSF-LoginServer - master - net.psforever.packet.game.DamageMessage
PSF - LoginServer - master - net.psforever.packet.game.DamageMessage
Keywords: PSF LoginServer master net.psforever.packet.game.DamageMessage

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- ActionCancelMessage
- ActionProgressMessage
- ActionResultMessage
- Additional1
- Additional2
- Additional3
- AggravatedDamageMessage
- ArmorChangedMessage
- AvatarDeadStateMessage
- AvatarFirstTimeEventMessage
- AvatarGrenadeStateMessage
- AvatarImplantMessage
- AvatarJumpMessage
- AvatarSearchCriteriaMessage
- AvatarStatisticsMessage
- AvatarVehicleTimerMessage
- BattleDiagramAction
- BattleExperienceMessage
- BattleplanMessage
- BeginZoningMessage
- BindPlayerMessage
- BindStatus
- BroadcastWarpgateUpdateMessage
- BugReportMessage
- BugType
- BuildingInfoUpdateMessage
- CaptureFlagUpdateMessage
- CargoMountPointStatusMessage
- ChainLashMessage
- ChangeAmmoMessage
- ChangeFireModeMessage
- ChangeFireStateMessage_Start
- ChangeFireStateMessage_Stop
- ChangeShortcutBankMessage
- CharacterCreateRequestMessage
- CharacterInfoMessage
- CharacterKnowledgeInfo
- CharacterKnowledgeMessage
- CharacterNoRecordMessage
- CharacterRequestAction
- CharacterRequestMessage
- ChatChannel
- ChatMsg
- ChildObjectStateMessage
- CloudInfo
- ConnectToWorldMessage
- ConnectToWorldRequestMessage
- ContinentalLockUpdateMessage
- CreateShortcutMessage
- DamageFeedbackMessage
- DamageMessage
- DamageWithPositionMessage
- DataChallenge
- DataChallengeMessage
- DataChallengeMessageResp
- DeadState
- DelayedPathMountMsg
- DensityLevelUpdateMessage
- DeployObjectMessage
- DeployOutcome
- DeployRequestMessage
- DeployableIcon
- DeployableInfo
- DeployableObjectsInfoMessage
- DeploymentAction
- DestroyDisplayMessage
- DestroyMessage
- DiagramActionCode
- DiagramStroke
- DisconnectMessage
- DismountBuildingMsg
- DismountVehicleCargoMsg
- DismountVehicleMsg
- DisplayedAwardMessage
- DrawString
- DropItemMessage
- DroppodError
- DroppodFreefallingMessage
- DroppodLaunchInfo
- DroppodLaunchRequestMessage
- DroppodLaunchResponseMessage
- DrowningTarget
- EmoteMsg
- ExperienceAddedMessage
- FacilityBenefitShieldChargeRequestMessage
- FavoritesAction
- FavoritesMessage
- FavoritesRequest
- FireHintMessage
- FlagInfo
- Friend
- FriendAction
- FriendsRequest
- FriendsResponse
- GamePropertyScope
- GamePropertyTarget
- GenericActionEnum
- GenericActionMessage
- GenericCollisionMsg
- GenericObjectActionEnum
- GenericObjectActionMessage
- GenericObjectStateMsg
- HackMessage
- HackState
- HitHint
- HitInfo
- HitMessage
- HotSpotInfo
- HotSpotUpdateMessage
- ImplantAction
- InvalidTerrainMessage
- InventoryStateMessage
- ItemTransactionMessage
- ItemTransactionResultMessage
- KeepAliveMessage
- LashMessage
- LoadMapMessage
- LoginMessage
- LoginRespMessage
- LongRangeProjectileInfoMessage
- LootItemMessage
- MailMessage
- MemberEvent
- MountVehicleCargoMsg
- MountVehicleMsg
- MoveItemMessage
- ObjectAttachMessage
- ObjectCreateDetailedMessage
- ObjectCreateMessage
- ObjectDeleteMessage
- ObjectDeployedMessage
- ObjectDetachMessage
- ObjectDetectedMessage
- ObjectHeldMessage
- OrbitalShuttleTimeMsg
- OrbitalStrikeWaypointMessage
- OxygenStateMessage
- PadAndShuttlePair
- PickupItemMessage
- PingMsg
- PlanetSideZoneID
- PlanetsideAttributeEnum
- PlanetsideAttributeMessage
- PlanetsideStringAttributeMessage
- PlayerStasisMessage
- PlayerStateMessage
- PlayerStateMessageUpstream
- PlayerStateShiftMessage
- ProjectileCharacteristics
- ProjectileStateMessage
- PropertyOverrideMessage
- ProximityTerminalUseMessage
- QuantityDeltaUpdateMessage
- QuantityUpdateMessage
- ReleaseAvatarRequestMessage
- ReloadMessage
- RepairMessage
- ReplicationStreamMessage
- RequestDestroyMessage
- RespawnAMSInfoMessage
- RespawnInfo
- RibbonBarsSlot
- ServerType
- ServerVehicleOverrideMsg
- SetChatFilterMessage
- SetCurrentAvatarMessage
- SetEmpireMessage
- ShiftState
- Shortcut
- SimDataChallenge
- SimDataChallengeResp
- SpawnRequestMessage
- SplashHitMessage
- SplashedTarget
- SquadAction
- SquadDefinitionActionMessage
- SquadDetail
- SquadDetailDefinitionUpdateMessage
- SquadHeader
- SquadInfo
- SquadInvitationRequestMessage
- SquadListing
- SquadMemberEvent
- SquadMembershipRequest
- SquadMembershipResponse
- SquadPositionDetail
- SquadPositionEntry
- SquadState
- SquadStateInfo
- SquadWaypointEvent
- SquadWaypointRequest
- Statistics
- StormInfo
- StreamLengthToken
- StrokeFive
- StrokeSeven
- Style
- TargetInfo
- TargetRequest
- TargetingImplantRequest
- TargetingInfoMessage
- TerrainCondition
- TimeOfDayMessage
- TrainingZoneMessage
- TriggerEffectMessage
- TriggerEnvironmentalDamageMessage
- TriggerSoundMessage
- TriggeredEffect
- TriggeredEffectLocation
- TriggeredSound
- UnuseItemMessage
- UseItemMessage
- VNLWorldStatusMessage
- VehicleStateMessage
- VehicleSubStateMessage
- Vertex
- VoiceHostInfo
- VoiceHostKill
- VoiceHostRequest
- WarpQueuePrompt
- WarpgateRequest
- Waypoint
- WaypointEvent
- WaypointEventAction
- WaypointInfo
- WeaponDelayFireMessage
- WeaponDryFireMessage
- WeaponFireMessage
- WeaponJammedMessage
- WeaponLazeTargetPositionMessage
- WeatherMessage
- WorldConnectionInfo
- WorldInformation
- WorldStatus
- ZipLineMessage
- ZoneForcedCavernConnectionsMessage
- ZoneInfoMessage
- ZoneLockInfoMessage
- ZonePopulationUpdateMessage

c

net.psforever.packet.game

# DamageMessage 

###
Companion object DamageMessage

#### final case class DamageMessage(guid1: PlanetSideGUID, unk1: Int, guid2: PlanetSideGUID, unk2: Boolean) extends PlanetSideGamePacket with Product with Serializable

na

guid1

  na

unk1

  na

guid2

  na

unk2

  na

Source
  DamageMessage.scala

Linear Supertypes
Product, Equals, PlanetSideGamePacket, PlanetSidePacket, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DamageMessage
2. Product
3. Equals
4. PlanetSideGamePacket
5. PlanetSidePacket
6. Serializable
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new DamageMessage(guid1: PlanetSideGUID, unk1: Int, guid2: PlanetSideGUID, unk2: Boolean)

   guid1

     na

   unk1

     na

   guid2

     na

   unk2

     na

### Type Members

1.  type Packet = DamageMessage

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  def encode: Attempt[BitVector]
   Definition Classes
     DamageMessage → PlanetSidePacket
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  val guid1: PlanetSideGUID
11.  val guid2: PlanetSideGUID
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def opcode: GamePacketOpcode.Value
    Definition Classes
      DamageMessage → PlanetSideGamePacket → PlanetSidePacket
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  val unk1: Int
20.  val unk2: Boolean
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Product

### Inherited from Equals

### Inherited from PlanetSideGamePacket

### Inherited from PlanetSidePacket

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped